Wie man den Internet Explorer auf Ubuntu (Feisty Fawn, Edgy Eft und Dapper Drake) installiert

Version 1.0
Author: Falko Timme


Diese Anleitung veranschaulicht, wie man drei verschiedene Versionen des Internet Explorers (6.0, 5.5 und 5.0) auf Ubuntu Feisty Fawn, Edgy Eft und Dapper Drake Desktops installiert. Das ist zum Beispiel besonders für Web Designer geeignet, die zu Linux übergelaufen sind, aber ihre Webseiten immer noch im Internet Explorer testen müssen. Außerdem gibt es immer noch ein paar Webseiten, die ausschließlich im Internet Explorer funktionieren.

Ich übernehme keine Garantie, dass dies auch bei Dir funktioniert!

1 Vorbemerkung

Es gibt ein Paket namens IEs4Linux, das eine einfache Insatallation dreier Versionen des Internet Explorers auf Deinem Linux Desktop bietet. In dieser Anleitung werde ich zeigen, wie man dieses Paket verwendet.

Jedoch solltest Du einmal diese Seite lesen: http://www.tatanka.com.br/ies4linux/page/Legal_notices bevor Du weiter machst. IEs4Linux ist eine GPL Software, der Internet Explorer nicht, er ist eine proprietäre Software mit seiner eigenen Lizenz. Wenn Du den Internet Explorer auf Deinem Linux Desktop installieren möchtest, musst Du eine gültige Microsoft Windows Lizenz besitzen, sonst ist die Installation des Internet Explorers illegal.

Du solltest außerdem Adobe Flash EULA akzeptieren, da IEs4Linux auch Adobe Flash installiert.

Vergewissere Dich, dass Du als normaler Benutzer (d.h. nicht root) auf Deinem Ubuntu Desktop angemeldet bist (mein Benutzername in dieser Anleitung ist falko). Öffne ein Terminalfenster um die Befehle auszuführen, die in diesr Anleitung beschrieben werden.

2 Bearbeite /etc/apt/sources.list

Um IEs4Linux zu installieren, müssen wir /etc/apt/sources.list bearbeiten.

2.1 Ubuntu Feisty Fawn

Auf Ubuntu Feisty Fawn müssen wir die Zeilen deb http://de.archive.ubuntu.com/ubuntu feisty universe und deb http://wine.budgetdedicated.com/apt edgy main (ja, edgy ist richtig, da diese Paketdatenbank noch keine Pakete für Feisty hat, aber glücklicherweise funktionieren die Edgy Pakete auch auf Feisty) in /etc/apt/sources.list haben:

sudo vi /etc/apt/sources.list


[...]
deb http://de.archive.ubuntu.com/ubuntu feisty universe deb http://wine.budgetdedicated.com/apt edgy main [...]
Führe dann Folgendes aus

sudo apt-get update

um die Paketdatenbank zu aktualisieren.

2.2 Ubuntu Edgy Eft

Auf Ubuntu Edgy Eft müssen wir die Zeilen deb http://de.archive.ubuntu.com/ubuntu edgy universe und deb http://wine.budgetdedicated.com/apt edgy main in /etc/apt/sources.list haben:

sudo vi /etc/apt/sources.list


[...]
deb http://de.archive.ubuntu.com/ubuntu edgy universe deb http://wine.budgetdedicated.com/apt edgy main [...]
Führe dann Folgendes aus

sudo apt-get update

um die Paketdatenbank zu aktualisieren.

2.3 Ubuntu Dapper Drake

Auf Ubuntu Dapper Drake müssen wir die Zeilen deb http://de.archive.ubuntu.com/ubuntu dapper universe und deb http://wine.budgetdedicated.com/apt dapper main in /etc/apt/sources.list haben:

sudo vi /etc/apt/sources.list


[...]
deb http://de.archive.ubuntu.com/ubuntu dapper universe deb http://wine.budgetdedicated.com/apt dapper main [...]
Führe dann Folgendes aus

sudo apt-get update

um die Paketdatenbank zu aktualisieren.

3 Installation von wine und cabextract

Als Nächstes müssen wir die Pakete wine und cabextract wie folgt installieren:

sudo apt-get install wine cabextract

Wenn Du gefragt wirst Install these packages without verification [y/N]?, antworte y:

root@falko-desktop:~# sudo apt-get install wine cabextract
Reading package lists... Done
Building dependency tree
Reading state information... Done
cabextract is already the newest version.
The following NEW packages will be installed:
wine
0 upgraded, 1 newly installed, 0 to remove and 90 not upgraded.
Need to get 9476kB of archives.
After unpacking 44.4MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
wine
Install these packages without verification [y/N]? <-- y

4 Installation von IEs4Linux

Um IEs4Linux zu installieren, führen wir Folgendes aus (immer noch als normaler Benutzer!):

cd ~
wget http://www.tatanka.com.br/ies4linux/downloads/ies4linux-latest.tar.gz
tar zxvf ies4linux-latest.tar.gz
cd ies4linux-*
./ies4linux


Dir werden ein paar Fragen gestellt:

Welcome, falko! I'm IEs4Linux.
I can install IE 6, 5.5 and 5.0 for you easily and quickly.
You are just four 'enter's away from your IEs.

I'll ask you some questions now. Just answer y or n (default answer is the bold one)


IE 6 will be installed automatically.
Do you want to install IE 5.5 SP2 too? [ y / n ] <-- y

And do you want to install IE 5.01 SP2? [ y / n ] <-- y


IEs can be installed using one of the following locales:
EN-US PT-BR DE FR ES IT NL SV JA KO NO
DA CN TW FI PL HU AR HE CS PT RU EL TR
Default is EN-US. Hit enter to keep it or choose a different one: <-- [Specify your preferred locale or hit ENTER to use EN-US.]

By default, I will install everything at /home/falko/.ies4linux
I will also install Flash 9 plugin and create Desktop shortcuts.
Is that ok for you? (To configure advanced options type n) [ y / n ] <-- y

Als Nächstes werden ein paar Dateien runter geladen und die drei Versionen des Internet Explorers werden installiert:

[...]


Installing IE 6
Initializing
Creating Wine Prefix
Extracting CAB files
Processing inf file
Installing IE 6
Installing TTF Fonts
Installing RICHED20
Installing ActiveX MFC40
Installing DCOM98
Installing registry
Finalizing
[ OK ]

Installing Flash Player 9
Extracting files
Installing flash on ie6
[ OK ]

Installing IE 5.5
Copying ie6 installation
Extracting files
Installing registry
Finalizing
[ OK ]

Installing IE 5.0
Copying ie6 installation
Extracting files
Installing registry
Finalizing
[ OK ]

IEs 4 Linux installations finished!


To run your IEs, type:
/home/falko/bin/ie6
/home/falko/bin/ie55
/home/falko/bin/ie5

If you have 5 minutes, help me translating IEs4Linux to your language.
Visit: http://tatanka.com.br/ies4linux/forum/viewtopic.php?p=2

Das war's schon.

5 Testen

Schließe nun das Terminalfenster. Auf Deinem Desktop solltest Du nun drei Internet Explorer Symbole sehen:


Öffne nun jeden (eine Testseite von www.tatanka.com.br wird geladen):


und in jedem Explorer zu Help -> About Internet Explorer um die Version zu überprüfen. Die Versionen 6.0, 5.5 und 5.0 müssten installiert sein:

Internet Explorer 6.0:


Internet Explorer 5.5:


Internet Explorer 5.0:

6 Links